Name:          libsigsegv
Version:       2.13
Release:       1mamba
Summary:       is a library for handling page faults in user mode.
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://libsigsegv.sourceforge.net/
Source:        http://ftp.gnu.org/gnu/libsigsegv/libsigsegv-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This is a library for handling page faults in user mode. A page fault occurs when a program tries to access to a region of memory that is currently not available. Catching and handling a page fault is a useful technique for implementing:
  - pageable virtual memory
  - memory-mapped access to persistent databases
  - generational garbage collectors
  - stack overflow handlers
  - distributed shared memory

%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This is a library for handling page faults in user mode. A page fault occurs when a program tries to access to a region of memory that is currently not available. Catching and handling a page fault is a useful technique for implementing:
  - pageable virtual memory
  - memory-mapped access to persistent databases
  - generational garbage collectors
  - stack overflow handlers
  - distributed shared memory

This package contains libraries and header files need for development.

%package static
Summary:   Static libraries for %{name}
Group:     Development/Libraries
Requires:  %{name}-devel = %{version}

%description static
This is a library for handling page faults in user mode. A page fault occurs when a program tries to access to a region of memory that is currently not available. Catching and handling a page fault is a useful technique for implementing:
  - pageable virtual memory
  - memory-mapped access to persistent databases
  - generational garbage collectors
  - stack overflow handlers
  - distributed shared memory

This package contains static libraries need for development.

%prep

%setup -q

%build
%configure \
  --enable-shared \
  --enable-static

%make
make check

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libsigsegv.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libsigsegv.so
%doc ChangeLog ChangeLog.1 NEWS README

%files static
%defattr(-,root,root)
%{_libdir}/libsigsegv.a
%{_libdir}/libsigsegv.la

%changelog
* Tue Jan 19 2021 Automatic Build System <autodist@mambasoft.it> 2.13-1mamba
- automatic version update by autodist

* Mon Jan 22 2018 Automatic Build System <autodist@mambasoft.it> 2.12-1mamba
- automatic version update by autodist

* Tue Aug 08 2017 Automatic Build System <autodist@mambasoft.it> 2.11-1mamba
- automatic version update by autodist

* Fri Jul 01 2011 Automatic Build System <autodist@mambasoft.it> 2.10-1mamba
- automatic update by autodist

* Tue Nov 09 2010 Automatic Build System <autodist@mambasoft.it> 2.9-1mamba
- automatic update by autodist

* Wed Jan 13 2010 Automatic Build System <autodist@mambasoft.it> 2.8-1mamba
- automatic update by autodist

* Sat Aug 15 2009 Automatic Build System <autodist@mambasoft.it> 2.7-1mamba
- automatic update by autodist

* Mon Nov 10 2008 gil <puntogil@libero.it> 2.6-1mamba
- package created by autospec
